System.Web 2.0.0.0 System.Web.UI.HtmlControls.HtmlControl System.Web.UI.ControlBuilder(typeof(System.Web.UI.HtmlControls.HtmlEmptyTagControlBuilder))

The control allows programmatic access to the HTML link element on the server. The control can be used to programmatically specify a cascading style sheet (CSS) reference in a Web page.

Allows programmatic access to the HTML link element on the server.

- Constructor

  Use this constructor to create and initialize a new instance of the control.

  Initializes a new instance of the class.

  2.0.0.0
- Property
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.Web.UI.UrlProperty
  System.ComponentModel.DefaultValue("")
  System.String To be added.

  The property specifies the URL target of the link specified in the control. You can use this property to specify the location of an external cascading style sheet (CSS).

  Gets or sets the URL target of the link specified in the control.

  2.0.0.0
- Method
  2.0.0.0
  System.Void ``

  The method renders a closing bracket (/>) if the ASP.NET application is configured to render XHTML-compliant markup. By default, ASP.NET pages and controls render markup that is compatible with the XHTML 1.1 standard. For more information on configuring an ASP.NET Web site for non-XHTML rendering, see How to: Configure ASP.NET Web Sites for Non-XHTML Rendering.

  Renders the control to the specified object.

  The that receives the rendered content.
- Method
  System.Void ``

  The method resolves the property before calling the base class's method.

  Renders the control's attributes to the specified object.

  The that receives the rendered content. 2.0.0.0